SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001430SiT!outbound emailpublic2010-12-18 16:242011-06-04 16:01
Reporternicdev 
Assigned Toivan 
PrioritynormalSeverityminorReproducibilitysometimes
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version3.90beta1Fixed in VersionCurrent GIT 
Summary0001430: Outbound email: Special characters in email address fails
DescriptionWhen sending a mail to a contact with a special character in his email address (like "&"), the email gets sent but returns failed by the server. The email address used to send and what gets sent to the server is not the same.
TagsNo tags attached.
Attached Files

- Relationships
child of 0001355resolvedivan Non ascii characters in the CC field of outgoing emails fails 

-  Notes
User avatar (0003510)
nicdev (developer)
2010-12-18 16:27

Sorry forgot i logged that for CC: already, but not for To:
User avatar (0003520)
ivan (administrator)
2010-12-19 14:17

I'm not able to test this since I can't set up an email account with an ampersand character in it because (sensibly IMO) my mail server strips out the ampersand.
User avatar (0003832)
ivan (administrator)
2011-06-04 16:00
edited on: 2011-06-04 16:01

Final part of this fixed in Git 1785753

 * Update mime parser library from upstream (to 1.80) (BSD Licensed)
 * Make About page mention the mime parser which we have previously failed to do
* Fix the last parts of Mantis 1430 where an email address wasn't recognised as belonging to a contact if it contained special characters. This was a problem in several areas, partly because the email addresses weren't extracted and partly because the contacts edit page changed & to & amp ;


- Issue History
Date Modified Username Field Change
2010-12-18 16:24 nicdev New Issue
2010-12-18 16:27 nicdev Relationship added child of 0001355
2010-12-18 16:27 nicdev Note Added: 0003510
2010-12-19 14:17 ivan Note Added: 0003520
2011-03-21 13:38 Oumar Assigned To => Oumar
2011-03-21 13:38 Oumar Status new => assigned
2011-06-04 16:00 ivan Note Added: 0003832
2011-06-04 16:00 ivan Target Version => 3.90beta1
2011-06-04 16:01 ivan Note Edited: 0003832 View Revisions
2011-06-04 16:01 ivan Status assigned => resolved
2011-06-04 16:01 ivan Fixed in Version => Current GIT
2011-06-04 16:01 ivan Resolution open => fixed
2011-06-04 16:01 ivan Assigned To Oumar => ivan


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker